"""
    schemas: Acknowledgement status sent by the surface platform to report
    receipt of message.
"""
acknowledgement_schema = {
    "type": "object",
    "properties": {
        "message_type": {
            "type": "string",
            "description": "Type of message",
            "example": "acknowledgement",
            "enum": ["acknowledgement"],
        },
        "autonomy_engine_plan_ID": {
            "type": "integer",
            "description": "Mission plan ID (according to Autonomy"
            + " Engine's mission plan number sent) executed by platform",
            "example": 1,
        },
        "platform_ID": {
            "type": "string",
            "description": "Unique identifier for this platform",
            "example": "reav-x-1",
        },
        "approved": {
            "type": "boolean",
            "description": "Human-in-the-loop approval."
            + "1 - Plan approved; 0 - Plan Rejected",
        },
    },
    "required": [
        "message_type",
        "autonomy_engine_plan_ID",
        "platform_ID",
        "approved",
    ],
}
